petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatCreateADA

Creates a matrix M=A^T D1 A + D2 where D1, D2 are diagonal

### Synopsis

    #include "mat.h"
    PetscErrorCode MatCreateADA(Mat mat,Vec d1, Vec d2, Mat *J)

Collective on matrix

### Input Parameters

| mat | - matrix of arbitrary type
| d1 | - A vector defining a diagonal matrix
| d2 | - A vector defining a diagonal matrix

### Output Parameters

J -New matrix whose operations are defined in terms of mat, D1, and D2.

### Notes

The user provides the input data and is responsible for destroying this data after matrix J has been destroyed.

### See Also

MatCreate()

### Level

developer

### Location

src/tao/matrix/adamat.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages